import { OnDestroy, OnInit } from '@angular/core';
import { ModeService } from '../services/mode.service';
import * as i0 from "@angular/core";
export declare class ModeSwitchComponent implements OnInit, OnDestroy {
    modeService: ModeService;
    mode: 'login' | 'register' | 'reset' | 'verification';
    mode$: import("rxjs").BehaviorSubject<"login" | "register" | "reset" | "verification">;
    private _subscription;
    constructor(modeService: ModeService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ModeSwitchComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ModeSwitchComponent, "ax-mode-switch", never, {}, {}, never, never, false, never>;
}
